:root {

  /* colors */
  --white-color: #FFFFFF;
  --first-color: #002366;
  --second-color: #000000;
  --third-color: rgba(178, 178, 178, 0.85);
  --fourth-color: #3F4757;
  --fifth-color: #49608A;
  --sixth-color: #001D52;

  /* Typografia */
  --text-font: 'Open Sans', sans-serif;

  /* size */
  --normal-font-size: 16px;

  /* Margenes */
  --mr-2: 16px;
  --mr-3: 20px;

  /* z index */
  --z-fixed: 50;
  --z-modal: 80;
  --z-alert: 100;
}

/* ============= Base ============= */

html {
  box-sizing: border-box;
  scroll-behavior: smooth;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

.preparers__slider-content {
  display: flex;
  align-items: flex-end;
  justify-content: end;
  position: relative;
  width: 490px;
}

body {
  font-family: var(--text-font);
  font-size: var(--normal-font-size);
  margin: 0;
  top: 0 !important;
  padding: 0;
  overflow-x: hidden;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

li {
  counter-increment: custom-counter;
}

a {
  text-decoration: none;
  color: inherit;
}

img {
  max-width: 100%;
  height: auto;
}

button {
  border: none;
  background: none;
  padding: 0;
  margin: 0;
  text-decoration: none;
  cursor: pointer;
  outline: none;
}

address {
  font-style: inherit;
  font-family: inherit;
  font-size: inherit;
  margin: 0;
  padding: 0;
}

h1,
h2,
h2,
h3,
h4,
p,
figure {
  margin: 0;
  padding: 0;
}

h1,
h2,
h2,
h3,
h4,
p {
  text-align: left;
  letter-spacing: 0px;
}

h1,
h2,
h2,
h3,
h4 {
  font-weight: 800;
}

p {
  font-weight: normal;
  font-size: 16px;
}

/* ============= Reusable Classes ============= */

.grid__container {
  max-width: 1300px;
  display: grid;
  margin: 0 var(--mr-3);
}

.grid__mid-container {
  max-width: 1200px;
  display: grid;
  margin: 0 var(--mr-3);
}



.grid__min-container {
  max-width: 670px;
  display: grid;
}



.btn {
  border-radius: 35px;
  padding: 12px;
  width: 100%;
  text-align: center;
  font-size: 18px;
  font-family: var(--text-font);
  color: var(--white-color);
  background-color: var(--first-color);
  border: 2px solid var(--second-color);
  transition: all 0.5s ease-out;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.btn:before,
.btn:after {
  position: absolute;
  content: '';
  display: block;
  width: 0;
  height: 0;
  height: 100%;
  transform: skewX(45deg);
  background-color: var(--second-color);
  top: 0;
  left: -5%;
  z-index: -1;
  transition: .4s;
}

.btn:hover {
  background-color: #111111;
  transition: all .4s .15s;
  color: #fafafa;
  border: 2px solid var(--first-color);
}

.btn:after {
  left: auto;
  right: -5%;
}

.btn:hover:before,
.btn:hover:after {
  width: 110%;
}

.btn__black {
  background-color: var(--second-color);
  border: 2px solid var(--second-color);
}

.btn__black:hover {
  border: 2px solid var(--second-color);
}

.btn__black:before,
.btn__black:after {
  background-color: var(--first-color);
}

.hidden__mobile {
  display: inherit;
}

.hidden__desktop {
  display: none;
}

.header__top-right .hidden__desktop {
  display: none;
}


.line__clamp-one {
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  overflow: hidden;
}

.line__clamp-two {
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  overflow: hidden;
}

.line__clamp-three {
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  overflow: hidden;
}

.line__clamp-four {
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  overflow: hidden;
}

.hidden__item {
  display: none;
}


/* ============= Header ============= */

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--white-color);
  border-bottom: 1px solid #707070;
  z-index: var(--z-fixed);
}

.header__top {
  background-color: var(--sixth-color);
  height: 43px;
  overflow: hidden;
}

.header__top-items {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, auto);
  gap: 30px;
  background-color: var(--first-color);
  height: 100%;
}

.header__top-items .language__options {
  color: white;
  display: flex;
  align-items: center;
  padding-right: 15px;
}

.header__top-right,
.header__top-left {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
}

.header__top-left {
  justify-content: flex-start;
  gap: 10px;
}

.header__top-left::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  background-color: var(--sixth-color);
  width: 175px;
  border-top-right-radius: 25px;
  border-bottom-right-radius: 25px;
  z-index: 1;
}

.header__top-right::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  background-color: var(--sixth-color);
  width: 150px;
  border-top-left-radius: 25px;
  border-bottom-left-radius: 25px;
  z-index: 1;
}


.header__top-left a figure {
  position: relative;
  z-index: 2;
}

.header__top-left>a:nth-child(2) figure {
  width: fit-content;
  height: 24px;
}

.header__top-left>a:nth-child(3) figure {
  width: fit-content;
  height: 24px;
}

.header__top-left a figure img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}


.btn__login {
  z-index: 2;
}

.btn__login {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 6px;
  color: var(--white-color);
}

.header__top-right {
  justify-content: flex-end;
  gap: 40px;
}

.header__top-right>div:first-child {
  display: flex;
  flex-direction: row;
  gap: 10px;
  justify-content: left;
  align-items: center;
}

.header__top-right>div:first-child .material-symbols-outlined {
  color: #FFFFFF;
  font-variation-settings:
    'FILL' 1,
    'wght' 400,
    'GRAD' 0,
    'opsz' 48
}

.header__top-right>div:first-child a {
  color: #FFFFFF;
}

.header__top-right>a {
  display: flex;
  justify-content: center;
  flex-direction: row;
  align-items: center;
  gap: 10px
}

.header__top-right>a figure {
  width: 22px;
  height: 22px;
}

.header__top-right>a figure img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.header__top-right>a p {
  color: var(--white-color);
}


.header__top-right>div:nth-of-type(2) {
  display: flex;
  flex-direction: row;
  position: relative;
  z-index: 2;
}

.header__top-right>div:nth-of-type(2) p {
  color: #FFFFFF;
}

.header__top-right>div:nth-of-type(2) p:first-child {
  border-right: 1px solid #FFFFFF;
  padding-right: 10px;
}

.header__top-right>div:nth-of-type(2) p:nth-child(2) {
  padding-left: 10px;
}

.options__languages {
  display: flex;
  flex-direction: row;
  gap: 0;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.options__languages>p:nth-of-type(1),
.options__languages>p:nth-of-type(2) {
  display: inherit;
}

.options__languages>p:nth-of-type(3),
.options__languages>p:nth-of-type(4) {
  display: none;
}


.header__bottom {
  background-color: var(--white-color);
  height: 75px;
}



.navbar {
  background: #FFFFFF;
  height: 100%;
  display: grid;
  grid-template-columns: auto auto;
  justify-content: space-between;
  align-items: center;
}

.navbar__link::before {
  content: '';
  position: absolute;
  bottom: -3px;
  left: -10%;
  width: 120%;
  height: 11px;
  background: #e5e5e5;
  z-index: 1;
  transform: scaleX(0) skew(-20deg);
  transform-origin: left;
  z-index: -1;
  transition: transform 0.2s ease-in-out;
}

.navbar__list {
  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 65px;
}

.navbar__link {
  font-family: var(--text-font);
  text-align: left;
  font-weight: bold;
  font-size: 16px;
  letter-spacing: 0px;
  color: var(--second-color);
  position: relative;
  z-index: 2;
  transition: all 0.35s;
}

.navbar__link.active__link,
.navbar__link:hover {
  font-weight: 800;
  color: var(--first-color);
}

.navbar__link.active__link::before,
.navbar__link:hover::before {
  transform: scaleX(1) skew(-20deg);
}


.navbar__item {
  position: relative;
  padding: 0;
  height: 100%;
  margin: 0;
  transition: all 0.3s ease;
}

.navbar a figure {
  width: 248px;
  height: 100%;
}

.navbar a figure img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}


/* ============= translator settings ============= */

.goog-te-gadget img {
  display: none;
}

.goog-te-gadget-simple .VIpgJd-ZVi9od-xl07Ob-lTBxed span {
  display: none;
}

.goog-te-gadget-simple {
  border: none !important;
}

.goog-logo-link {
  display: none !important;
}

.goog-te-gadget {
  color: transparent !important;
}

.goog-te-combo {
  font-size: 20px;
  background: transparent;
  color: transparent;
  border: none;
  position: absolute;
  padding: 0 !important;
  width: 100%;
  height: 100%;
  bottom: 0;
  left: 0;
}

select.goog-te-combo {
  width: 130px !important;
  height: 24px !important;
  left: -20px;
  top: 0px;
}

.goog-te-gadget .goog-te-combo {
  margin: 0 !important;
}

.VIpgJd-ZVi9od-l4eHX-hSRGPd,
.VIpgJd-ZVi9od-l4eHX-hSRGPd:link,
.VIpgJd-ZVi9od-l4eHX-hSRGPd:visited,
.VIpgJd-ZVi9od-l4eHX-hSRGPd:hover,
.VIpgJd-ZVi9od-l4eHX-hSRGPd:active {
  display: none !important;
}

.goog-te-combo option[value=""] {
  display: none !important;
}

.img__language {
  width: 116px;
  display: flex;
  align-items: center;
  z-index: 2;
  justify-content: right;
}

.goog-te-combo::-ms-expand,
.goog-te-combo option:checked {
  display: none !important;
}

.goog-te-combo option {
  font-family: var(--font-text);
  font-size: 17px;
  font-weight: 500;
  letter-spacing: 0px;
  color: #2E2E22;
  padding: 5px;
  box-shadow: none;
  background: #FFFFFF;
}

.goog-te-combo:focus {
  outline: none;
}

.img__language {
  display: flex;
  flex-direction: row;
}

.google__translater {
  position: relative;
}

.google__translater {
  position: relative;
}

.img__language {
  position: absolute;
  right: 0;
}

#google_translate_element {
  position: absolute;
  right: 10px;
}

.VIpgJd-ZVi9od-ORHb-OEVmcd {
  display: none !important;
}


/* ============= Footer ============= */

.footer {
  display: flex;
  background-color: var(--first-color);
  border: 1px solid #707070;
  height: auto;
  width: 100vw;
  color: #FAFAFA;
  overflow: hidden;
  padding: 0 25px;
}

.footer__content {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 35px 0;
  width: 100%;
}

.footer__top {
  display: grid;
  grid-template-columns: minmax(0, auto) minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
  border-bottom: 1px solid var(--white-color);
  padding-bottom: 30px;
}

.footer__top>div:first-of-type,
.footer__top>div:nth-of-type(2) {
  padding-top: 15px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.footer__top>div:nth-of-type(2) ul {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.footer__top h3 {
  font-size: 20px;
  color: var(--white-color);
}

.footer__top figure {
  width: 300px;
  height: fit-content;
  padding-top: 15px;
}

.footer__top figure img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.subscribe__form-content {
  position: relative;
  border-top-left-radius: 49px;
  border-bottom-left-radius: 49px;
  height: 234px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 30px 40px;
}

.subscribe__form-content::after {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  height: 234px;
  width: 100vw;
  border-top-left-radius: 49px;
  border-bottom-left-radius: 49px;
  background-color: var(--third-color);
  z-index: 1;
}

.subscribe__form-content h4 {
  font-size: 20px;
  color: var(--first-color);
  line-height: 1.3;
  margin-bottom: 10px;
  z-index: 2;
}

.subscribe__form-content form {
  display: flex;
  flex-direction: column;
  gap: 8px;
  z-index: 2;
}

.subscribe__form .btn {
  padding: 8px;
}

.subscribe__form .form__input input {
  border-radius: 25px;
  width: 100%;
  padding: 8px;
}

.footer__mid {
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer__mid p {
  text-align: center;
}

.footer__bottom {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 15px;
  width: 100%;
  gap: 12px;
  border-top: 1px solid var(--white-color);
  padding-top: 25px;
  margin-top: 5px;
}


.footer__bottom h3 {
  font-size: 20px;
}

.footer__bottom p {
  text-align: center;
  font-style: italic;
  font-weight: 600;
}

.footer .terms__and-conditions a {
  color: var(--white-color);
}


/* form */


textarea {
  resize: none;
}

input,
select,
textarea {
  width: 100%;
  padding: 10px;
  font-size: 14px;
  background: #FFFFFF 0% 0% no-repeat padding-box;
  border: 1.5px solid #B2B2B2;
  border-radius: 7px;
  opacity: 1;
  margin-top: 5px;
  color: #6F6F6F;
  font-family: var(--text-font);
}

input[type=search] {
  background-image: url(/images/find-icon.webp);
  background-size: 20px;
  background-position: 12px 8px;
  background-repeat: no-repeat;
  padding: 8px 20px 8px 40px;
}


select {
  cursor: pointer;
}

.input__search {
  width: 350px;
  padding: 10px;
  background: #FFFFFF 0% 0% no-repeat padding-box;
  border: 1px solid #707070;
  border-radius: 19px;
  opacity: 1;
  margin: 0;
}

label {
  text-align: left;
  font-weight: normal;
  font-size: 16px;
  color: var(--second-color);
}

.columns__two {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
}

.columns__three {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 10px;
}

.form__input {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 5px;
  align-items: flex-start;
}

::placeholder {
  text-align: left;
  font-size: 16px;
  font-weight: 600;
  font-family: var(--text-font);
  letter-spacing: 0px;
  color: var(--second-color);
}

input:focus,
textarea:focus {
  outline: 2px solid var(--first-color);
  background-color: #FFFFFF;
}

.form__input input {
  background: #F5F5F5;
  border-radius: 7px;
  width: 100%;
  width: -webkit-fill-available;
  border: 0;
  padding: 10px;
}

.input__search:focus,
.form__input input:focus {
  transition: 0.35s ease;
}

.input__search:focus::-webkit-input-placeholder,
.form__input input:focus::-webkit-input-placeholder {
  transition: opacity 0.45s ease;
  opacity: 0;
}

.input__search:focus::-moz-placeholder,
.form__input input:focus::-moz-placeholder {
  transition: opacity 0.45s ease;
  opacity: 0;
}

.input__search:focus:focus:-ms-input-placeholder,
.form__input input:focus:-ms-input-placeholder {
  transition: opacity 0.45s ease;
  opacity: 0;
}

.form__input .alert__form {
  font-size: 14px;
  text-align: left;
  color: var(--first-color);
}

.subscribe__form .form__input .alert__form {
  color: var(--second-color);
  font-weight: 500;
}












.step__ssn-value {
  user-select: none;
}

.step__ssn-number--input::selection {
  background: #0876CD;
  color: transparent;
  cursor: text;
}

.step__ssn-number--input.visible::selection {
  background: #0876CD;
  color: #FFFFFF;
  cursor: text;
}

.btn__appointment:hover {
  background: #2C81F2;
}

.btn__appointment:focus,
.btn__appointment:active {
  background: #FFFFFF;
  color: #1C1568;
}

.btn__appointment:focus .btn__text,
.btn__appointment:active .btn__text {
  color: #1C1568;
}


/* revisar */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 8;
}

/* revisar */












@media (min-width: 1275px) {

  .grid__container {
    margin: 0 auto;
  }

  .grid__mid-container {
    margin: 0 auto;
  }

  .grid__max-container {
    margin: 0 auto;
  }

}
















/* revisar */


.mobile__show,
.footer__schedule,
.img__advantages,
.mobile__show-header,
.navbar__mobile {
  display: none;
}

.mobile__hidden {
  display: block;
}


.grid--container {
  max-width: 1300px;
  display: grid;
  margin: 0 var(--mr-3);
}

.grid__right {
  max-width: 515px;
  margin: 0;
}


.capitalize__item {
  text-transform: capitalize;
}


/* ============= sweetalert settings ============= */

.swal2-container.swal2-bottom,
.swal2-container.swal2-center,
.swal2-container.swal2-top {
  z-index: var(--z-alert);
}

.section {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  text-align: center;
  font-size: 24px;
}

.bottom__text-form {
  text-align: center;
  font-style: italic;
  font-size: 15px;
  letter-spacing: 0px;
  color: #696969;
  opacity: 1;
  margin-bottom: 15px;
}

.bottom__text-form a {
  text-decoration: underline;
}


/* ============= SETTINGS SCROLL ANIMATIONS ============= */

.hidden__left {
  opacity: 0;
  transform: translateX(-50%);
  transition: all 1s;
}

.show__left {
  opacity: 1;
  transform: translateX(0);
}

.hidden__right {
  opacity: 0;
  transform: translateX(50%);
  transition: all 1s;
}

.show__right {
  opacity: 1;
  transform: translateX(0);
}

.hidden__bottom {
  opacity: 0;
  transform: translateY(50%);
  transition: all 1s;
}

.show__bottom {
  opacity: 1;
  transform: translateY(0);
}

.hidden__item {
  display: none;
}

.section__one-data--text h2,
.section__one-data--text h3,
.section__one-data--text p {
  color: #696969;
}



@media (min-width: 1275px) {

  .grid__header-container {
    margin: 0 auto;
  }

  .grid--container {
    margin: 0 auto;
  }

  .grid__right-two {
    margin-left: 10%;
  }

  .grid__container-element {
    margin: 0 auto;
  }


  .grid__section {
    margin: 0 auto;
  }

  .grid__min-section {
    margin: 0 auto;
  }

  .grid__login-section {
    margin: 0 auto;
  }

}






select.custom__year-dropdown {
  margin: 0 !important;
  border: 0 !important;
}

select.custom__year-dropdown:focus {
  outline: 0 !important;
}

.flatpickr-current-month {
  padding: 0 !important;
}



.custom__year-dropdown {
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: rgba(0, 0, 0, 0.54) #f0f0f0;
}

.custom__year-dropdown::-webkit-scrollbar {
  width: 5px;
}

.custom__year-dropdown::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.54);
}

.custom__year-dropdown::-webkit-scrollbar-track {
  background-color: #f0f0f0;
}



.popUp__open {
  overflow: hidden;
}